import Stimulsoft from "stimulsoft-reports-js";

let report = new Stimulsoft.Report.StiReport();
report.loadFile('reports/Report.mrt');

report.renderAsync(() => {
  console.log("Report rendered. Pages count: ", report.renderedPages.count);

  Bun.write('test.xlsx', new Buffer(report.exportDocument(Stimulsoft.Report.StiExportFormat.Excel2007)));
  Bun.write('test.jpg', new Buffer(report.exportDocument(Stimulsoft.Report.StiExportFormat.ImageJpeg)));
  Bun.write('test.png', new Buffer(report.exportDocument(Stimulsoft.Report.StiExportFormat.ImagePng)));
  Bun.write('test.pdf', new Buffer(report.exportDocument(Stimulsoft.Report.StiExportFormat.Pdf)));
  Bun.write('test.bmp', new Buffer(report.exportDocument(Stimulsoft.Report.StiExportFormat.ImageBmp)));
  Bun.write('test.rtf', new Buffer(report.exportDocument(Stimulsoft.Report.StiExportFormat.Rtf)));
  Bun.write('test.ods', new Buffer(report.exportDocument(Stimulsoft.Report.StiExportFormat.Ods)));
  Bun.write('test.odt', new Buffer(report.exportDocument(Stimulsoft.Report.StiExportFormat.Odt)));
});
