import Stimulsoft from "stimulsoft-reports-js";
import fs from 'fs/promises';

let report = new Stimulsoft.Report.StiReport();
report.loadFile('reports/Report.mrt');

report.renderAsync(() => {
  console.log("Report rendered. Pages count: ", report.renderedPages.count);

  fs.writeFile('test.xlsx', new Buffer(report.exportDocument(Stimulsoft.Report.StiExportFormat.Excel2007)));
  fs.writeFile('test.jpg', new Buffer(report.exportDocument(Stimulsoft.Report.StiExportFormat.ImageJpeg)));
  fs.writeFile('test.png', new Buffer(report.exportDocument(Stimulsoft.Report.StiExportFormat.ImagePng)));
  fs.writeFile('test.pdf', new Buffer(report.exportDocument(Stimulsoft.Report.StiExportFormat.Pdf)));
  fs.writeFile('test.bmp', new Buffer(report.exportDocument(Stimulsoft.Report.StiExportFormat.ImageBmp)));
  fs.writeFile('test.rtf', new Buffer(report.exportDocument(Stimulsoft.Report.StiExportFormat.Rtf)));
  fs.writeFile('test.ods', new Buffer(report.exportDocument(Stimulsoft.Report.StiExportFormat.Ods)));
  fs.writeFile('test.odt', new Buffer(report.exportDocument(Stimulsoft.Report.StiExportFormat.Odt)));
});
